summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rw-r--r--utils/ci/run_test.sh7
-rw-r--r--utils/ci/update_changelog.sh15
-rw-r--r--utils/installer/config.example.lua1
-rw-r--r--utils/installer/config_win.example.lua1
4 files changed, 18 insertions, 6 deletions
diff --git a/utils/ci/run_test.sh b/utils/ci/run_test.sh
index b12ceb7e..3e1bcf1b 100644
--- a/utils/ci/run_test.sh
+++ b/utils/ci/run_test.sh
@@ -2,6 +2,7 @@
set -e
export LUNARVIM_RUNTIME_DIR="${LUNARVIM_RUNTIME_DIR:-"$HOME/.local/share/lunarvim"}"
+export LUNARVIM_BASE_DIR="${LUNARVIM_BASE_DIR:-"$LUNARVIM_RUNTIME_DIR/lvim"}"
export LVIM_TEST_ENV=true
@@ -11,12 +12,10 @@ LUNARVIM_CACHE_DIR="$(mktemp -d)"
export LUNARVIM_CONFIG_DIR LUNARVIM_CACHE_DIR
-echo "cache: $LUNARVIM_CACHE_DIR
-
-config: $LUNARVIM_CONFIG_DIR"
+printf "cache_dir: %s\nconfig_dir: %s\n" "$LUNARVIM_CACHE_DIR" "$LUNARVIM_CONFIG_DIR"
lvim() {
- nvim -u "$LUNARVIM_RUNTIME_DIR/lvim/tests/minimal_init.lua" --cmd "set runtimepath+=$LUNARVIM_RUNTIME_DIR/lvim" "$@"
+ nvim -u "$LUNARVIM_BASE_DIR/tests/minimal_init.lua" --cmd "set runtimepath+=$LUNARVIM_BASE_DIR" "$@"
}
if [ -n "$1" ]; then
diff --git a/utils/ci/update_changelog.sh b/utils/ci/update_changelog.sh
new file mode 100644
index 00000000..49dae53a
--- /dev/null
+++ b/utils/ci/update_changelog.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -eo pipefail
+
+BRANCH="$(git rev-parse --abbrev-ref HEAD)"
+
+if [ "$BRANCH" != "master" ]; then
+ exit 0
+fi
+
+REPO_DIR="$(git rev-parse --show-toplevel)"
+LATEST_TAG="$(git describe --tags --abbrev=0)"
+CONFIG_FILE="$REPO_DIR/.github/workflows/cliff.toml"
+CHANGELOG="$REPO_DIR/CHANGELOG.md"
+
+git -C "$REPO_DIR" cliff "$LATEST_TAG"..HEAD -u -c "$CONFIG_FILE" -p "$CHANGELOG"
diff --git a/utils/installer/config.example.lua b/utils/installer/config.example.lua
index ee599d1b..68b19d5c 100644
--- a/utils/installer/config.example.lua
+++ b/utils/installer/config.example.lua
@@ -64,7 +64,6 @@ lvim.keys.normal_mode["<C-s>"] = ":w<cr>"
-- After changing plugin config exit and reopen LunarVim, Run :PackerInstall :PackerCompile
lvim.builtin.alpha.active = true
lvim.builtin.alpha.mode = "dashboard"
-lvim.builtin.notify.active = true
lvim.builtin.terminal.active = true
lvim.builtin.nvimtree.setup.view.side = "left"
lvim.builtin.nvimtree.setup.renderer.icons.show.git = false
diff --git a/utils/installer/config_win.example.lua b/utils/installer/config_win.example.lua
index 40cc34e8..ecdff296 100644
--- a/utils/installer/config_win.example.lua
+++ b/utils/installer/config_win.example.lua
@@ -80,7 +80,6 @@ lvim.keys.normal_mode["<C-s>"] = ":w<cr>"
-- After changing plugin config exit and reopen LunarVim, Run :PackerInstall :PackerCompile
lvim.builtin.alpha.active = true
lvim.builtin.alpha.mode = "dashboard"
-lvim.builtin.notify.active = true
lvim.builtin.terminal.active = false
-- lvim.builtin.terminal.shell = "pwsh.exe -NoLogo"